org.cpsolver.studentsct.filter

## Class ReverseStudentFilter

- java.lang.Object
- - org.cpsolver.studentsct.filter.ReverseStudentFilter

- All Implemented Interfaces:
    StudentFilter

      public class ReverseStudentFilter
      extends Object
      implements StudentFilter

  This student filter accepts students that are not accepted by the provided student filter.
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReverseStudentFilter(StudentFilter filter)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Student student)` Accept student.
    `String` | `getName()` Filter name

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReverseStudentFilter

          public ReverseStudentFilter(StudentFilter filter)

      Constructor
      Parameters:
        `filter` - student filter that is to be reversed

  - ### Method Detail

    - #### accept

          public boolean accept(Student student)

      Accept student. Student is accepted if the provided student filter refuses him/her.
      Specified by:
        `accept` in interface `StudentFilter`
      Parameters:
        `student` - a student
      Returns:
        true if the student is to be accepted (sectioned)

    - #### getName

          public String getName()

      Description copied from interface: `StudentFilter`
      Filter name
      Specified by:
        `getName` in interface `StudentFilter`